ServiceContractResolverRegistry (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.endpoint

## Interface ServiceContractResolverRegistry

- All Known Implementing Classes:
    `ServiceContractResolverRegistryImpl`

      public interface ServiceContractResolverRegistry

  A registry for maintaining a collection of contract resolvers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URI` | `getContractLocation​(QName qname)` | Resolves a service's QName to a URI representing the location of a WSDL contract.
    `boolean` | `isRegistered​(ServiceContractResolver resolver)` | Determines if a contract resolver is already registered with a registry.
    `void` | `register​(ServiceContractResolver resolver)` | Registers a contract resolver.
    `void` | `unregister​(ServiceContractResolver resolver)` | Removes a contract resolver from the registry.

- - ### Method Detail

    - #### getContractLocation

          URI getContractLocation​(QName qname)

      Resolves a service's QName to a URI representing the location of a WSDL contract. The registry method is called by the bus and should use the `getContractLocation` methods of the registered contract resolvers to do the actual resolution.
      Parameters:
        `qname` - the service qname to resolve into a URI
      Returns:
        URI representing the WSDL contract's location

    - #### register

          void register​(ServiceContractResolver resolver)

      Registers a contract resolver.
      Parameters:
        `resolver` - the contract resolver being registered

    - #### unregister

          void unregister​(ServiceContractResolver resolver)

      Removes a contract resolver from the registry.
      Parameters:
        `resolver` - the contract resolver being removed

    - #### isRegistered

          boolean isRegistered​(ServiceContractResolver resolver)

      Determines if a contract resolver is already registered with a registry.
      Parameters:
        `resolver` - the contract resolver for which to search
      Returns:
        `true` if the contract resolver is already registered